//Variables globales

var MODULO = "Cuestionarios";



function ponAccion(key)

{		

	document.forms["formCuestionariosSMAnu"].accion.value=key;

	document.forms["formCuestionariosSMAnu"].submit();

}





function calculaTotal()

{

var sum1 = parseInt('0');

if( document.all['cuestionarioSMAnu(vpoRG)'].value != "" ){sum1 = parseInt(document.all['cuestionarioSMAnu(vpoRG)'].value);}

var sum2 = parseInt('0');

if( document.all['cuestionarioSMAnu(vpoRE)'].value != "" ){sum2 = parseInt(document.all['cuestionarioSMAnu(vpoRE)'].value);}

var sum3 = parseInt('0');

if( document.all['cuestionarioSMAnu(vpot)'].value != "" ){sum3 = parseInt(document.all['cuestionarioSMAnu(vpot)'].value);}

var sum4 = parseInt('0');

if( document.all['cuestionarioSMAnu(alojDota)'].value != "" ){sum4 = parseInt(document.all['cuestionarioSMAnu(alojDota)'].value);}

var sum5 = parseInt('0');

if( document.all['cuestionarioSMAnu(realojos)'].value != "" ){sum5 = parseInt(document.all['cuestionarioSMAnu(realojos)'].value);} 

var sum6 = parseInt('0');

if( document.all['cuestionarioSMAnu(libres)'].value != "" ){sum6 = parseInt(document.all['cuestionarioSMAnu(libres)'].value);}    

var sum7 = parseInt('0');

if( document.all['cuestionarioSMAnu(vtmRG)'].value != "" ){sum7 = parseInt(document.all['cuestionarioSMAnu(vtmRG)'].value);}

var sum8 = parseInt('0');

if( document.all['cuestionarioSMAnu(vtmRE)'].value != "" ){sum8 = parseInt(document.all['cuestionarioSMAnu(vtmRE)'].value);}

//var sum6 = parseInt('0');

//if( document.all['cuestionarioSMAnu(vtmSE)'].value != "" ){sum5 = parseInt(document.all['cuestionarioSMAnu(vtmSE)'].value);}

   



var total = sum1 + sum2 + sum3 + sum4 + sum5 + sum6 + sum7 + sum8;

document.all['cuestionarioSMAnu(totalViv)'].value = total;

}



/*function comprobarDestNoResi()

{

	if (document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(destResi)"][0].checked)//Opci?n de NO

		ponerReadOnlyCampoDetNoResi(true);

	else

		ponerReadOnlyCampoDetNoResi(false);

}



function ponerReadOnlyCampoDetNoResi(blnDeshabilitado)

{

	document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(codigoDestNoRes)"].readOnly = blnDeshabilitado;

}



function clickRadioDestResi()

{

	if (document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(destResi)"][0].checked)//Opci?n de NO

	{

		ponerReadOnlyCampoDetNoResi(true);

		document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(codigoDestNoRes)"].value="";

	}

	else

	{

		ponerReadOnlyCampoDetNoResi(false);

	}

}*/



//Se llama cada vez que se selecciona una entidad en el combo

function entidadClick(){



	document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(bloque)"].options.length=0;

	document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(numePortal)"].options.length=0;

	document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(bisPortal)"].options.length=0;

	document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(acepcion)"].options.length=0;

	

}



//Se llama cada vez que se selecciona un tipo de v?a en el combo

function tipoViaClick(){



	document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(nombreVia)"].options.length=0;

	document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(bloque)"].options.length=0;

	document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(numePortal)"].options.length=0;

	document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(bisPortal)"].options.length=0;

	document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(acepcion)"].options.length=0;

	

	//Se cargan los nombres de v?a del tipo de v?a

	cargarNombreViaLauncher();

	

	//Se eliminan todos los combos desde nombreVia

	//clearCombosDesdeNombreVia();

}



//Se carga el combo de nombres de v?a a trav?s del Launcher

function cargarNombreViaLauncher(){



	if (document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(tipoVia)"].value != "")

	{

		var where = "tipo_via_id = '"+document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(tipoVia)"].value+"' and provincia_id='" +COD_PROV + "' and municipio_id='" + COD_MUNI + "'";	

	}

	else

	{

		where = "provincia_id='" +COD_PROV + "' and municipio_id='" + COD_MUNI + "'";	

	}

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_CALLE","id","ds_o", "cuestionarioSMAnu(nombreVia)", where, "false", true, "ds_o", "ASC");

	

}



//Se llama cada vez que se selecciona un nombre de v?a en el combo

function nombreViaClick(){

	document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(bloque)"].options.length=0;

	document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(numePortal)"].options.length=0;

	document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(bisPortal)"].options.length=0;

	document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(acepcion)"].options.length=0;	

	

	//Se cargan los bloques y numeros de portal a partir de la calle

	cargarBloqueLauncher();

	cargarNumePortalLauncher();

	cargarComplemDirLauncher();	

		

}



//Se carga el combo de bloques a trav?s del Launcher

function cargarBloqueLauncher(){

	var where = "calle_id = "+document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(nombreVia)"].value + " AND bloque IS NOT NULL";	

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_PORTAL","bloque","bloque", "cuestionarioSMAnu(bloque)", where, "false", true, "bloque", "ASC");

}



//Se llama cada vez que se selecciona un bloque en el combo

function bloqueClick(){

	document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(numePortal)"].options.length=0;

	document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(bisPortal)"].options.length=0;

	document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(acepcion)"].options.length=0;		

	cargarNumePortalLauncher();

	cargarComplemDirLauncher();	

}



//Se carga el combo de n?s a trav?s del Launcher

function cargarNumePortalLauncher(){

	var where = "calle_id = "+document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(nombreVia)"].value;

	if (document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(bloque)"].value != ""){

		where = "calle_id = "+document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(nombreVia)"].value + " AND bloque = '"+ document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(bloque)"].value + "'";

	}	

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_PORTAL","numero","numero", "cuestionarioSMAnu(numePortal)", where, "true", true, "numero", "ASC");

	

}



//Se llama cada vez que se selecciona un n?mero en el combo

function numClick(){

	document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(bisPortal)"].options.length=0;

	document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(acepcion)"].options.length=0;	

	cargarBisPortalLauncher();

	cargarComplemDirLauncher();	

}



//Se carga el combo de bis a trav?s del Launcher

function cargarBisPortalLauncher(){

	var where = "numero = "+document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(numePortal)"].value + " AND calle_id= "+document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(nombreVia)"].value +" AND bis IS NOT NULL";

	if (document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(bloque)"].value != ""){

		where = "numero = "+document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(numePortal)"].value + " AND calle_id= "+document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(nombreVia)"].value +" AND bloque = '"+ document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(bloque)"].value + "' AND bis IS NOT NULL";

	}	

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_PORTAL","bis","bis", "cuestionarioSMAnu(bisPortal)", where, "false", true, "bis", "ASC");

	

}



//Se carga el combo de complementos de direcci?n a trav?s del Launcher

function cargarComplemDirLauncher(){

	var where = "calle_id = "+document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(nombreVia)"].value + " AND ACEPCION IS NOT NULL";

	if (document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(bloque)"].value != "" && document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(numePortal)"].value != ""){

		where = "calle_id = "+document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(nombreVia)"].value + " AND bloque = '"+ document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(bloque)"].value + "' AND numero = "+ document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(numePortal)"].value + " AND ACEPCION IS NOT NULL";

	}

	else if (document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(bloque)"].value != "")

	{

		where = "calle_id = "+document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(nombreVia)"].value + " AND bloque = '"+ document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(bloque)"].value + "' AND ACEPCION IS NOT NULL";

	}

	else if (document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(numePortal)"].value != "")

	{

		where = "calle_id = "+document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(nombreVia)"].value + " AND numero = '"+ document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(numePortal)"].value + "' AND ACEPCION IS NOT NULL";

	}

		

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_PORTAL","acepcion","acepcion", "cuestionarioSMAnu(acepcion)", where, "false", true, "acepcion", "ASC");

	

}



